import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';


import { AppComponent } from './app.component';
import { RouterModule, Routes } from '@angular/router';
import { TinymceComponent }     from './components/tinymce.component';
import { FroalaComponent }     from './components/froala.component';
import { PageNotFoundComponent }     from './components/pageNotFound.component';
import { EditorModule } from '@tinymce/tinymce-angular';
import { FroalaEditorModule, FroalaViewModule } from 'angular-froala-wysiwyg';
import { FormsModule } from '@angular/forms';
const appRoutes: Routes = [
  { path: '', component: TinymceComponent },
  { path: 'tinymce', component: TinymceComponent },
  { path: 'froala', component: FroalaComponent },
  { path: '**', component: PageNotFoundComponent }
];

@NgModule({
  declarations: [
    AppComponent,
    TinymceComponent,
    FroalaComponent,
    PageNotFoundComponent
  ],
  imports: [
    FormsModule,
    FroalaEditorModule.forRoot(), FroalaViewModule.forRoot(),
    EditorModule,
    RouterModule.forRoot(
      appRoutes,
      { enableTracing: true } // <-- debugging purposes only
    ),
    BrowserModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
